function msg_window(promptStr)
%
%  pops up a window to display helpful messages for the user
%
figure
 set (gcf,'pos',[360 514 350 100])
 set (gcf,'Tag','msgwin');

frmPos=[.03 .03 .93 .9];
 uicontrol( 'Style','frame','Units','normalized','Position',frmPos, ...
        'BackgroundColor',[1 0 0]);
 
txtpos=[.1 .4 .8 .4];
txtHndl=uicontrol('Style','edit', 'HorizontalAlignment','center', ...
        'Units','normalized', 'Max',10,'String',promptStr, ...
        'Position',txtpos, 'BackgroundColor',[1 .7 0]);

txtpos=[.38 .1 .25 .2];
txtHndl=uicontrol('Style','PushButton', 'HorizontalAlignment','center', ...
        'Units','normalized', 'Max',10,'String','close', ...
        'callback','close','Position',txtpos, 'BackgroundColor',[1.0 .3 0]);

